Bug 1390759 - SELinux is preventing nfs-server-gene from 'create' accesses on the directory nfs-server.service.d.
Summary: SELinux is preventing nfs-server-gene from 'create' accesses on the directory...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5ae9ab2e4cb3a3ce00c3ffae50f...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-01 20:41 UTC by Terry A. Hurlbut
Modified: 2016-11-10 03:30 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-10 03:30:36 UTC


Attachments (Terms of Use)

Description Terry A. Hurlbut 2016-11-01 20:41:19 UTC
Description of problem:
I took an update. That's all.
SELinux is preventing nfs-server-gene from 'create' accesses on the directory nfs-server.service.d.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that nfs-server-gene should be allowed create access on the nfs-server.service.d directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'nfs-server-gene' --raw | audit2allow -M my-nfsservergene
# semodule -X 300 -i my-nfsservergene.pp

Additional Information:
Source Context                system_u:system_r:nfsd_t:s0
Target Context                system_u:object_r:systemd_unit_file_t:s0
Target Objects                nfs-server.service.d [ dir ]
Source                        nfs-server-gene
Source Path                   nfs-server-gene
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.8.4-200.fc24.x86_64 #1 SMP Tue
                              Oct 25 13:06:04 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-11-01 16:39:26 EDT
Last Seen                     2016-11-01 16:39:26 EDT
Local ID                      a30d6441-85f6-4171-bf52-a2bc2338e6dd

Raw Audit Messages
type=AVC msg=audit(1478032766.539:252): avc:  denied  { create } for  pid=18666 comm="nfs-server-gene" name="nfs-server.service.d" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:object_r:systemd_unit_file_t:s0 tclass=dir permissive=0


Hash: nfs-server-gene,nfsd_t,systemd_unit_file_t,dir,create


Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.8.4-200.fc24.x86_64
type:           libreport

Comment 1 Fedora Update System 2016-11-04 12:13:00 UTC
selinux-policy-3.13.1-191.20.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ce27629b3

Comment 2 Terry A. Hurlbut 2016-11-04 23:46:15 UTC
Description of problem:
I ran an update. That's all.


Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.8.4-200.fc24.x86_64
type:           libreport

Comment 3 Fedora Update System 2016-11-05 03:37:05 UTC
selinux-policy-3.13.1-191.20.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ce27629b3

Comment 4 Fedora Update System 2016-11-10 03:30:36 UTC
selinux-policy-3.13.1-191.20.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.